#!/bin/sh

# this script is public domain
# there is no warranty


export DOCSBASENAME="README"


rm -vf ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
  ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
  ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out \
  ${DOCSBASENAME}.tex ${DOCSBASENAME}.html ${DOCSBASENAME}.pdf

rst2latex --language=en --report=5 --toc-entry-backlinks \
  --section-numbering --strip-comments --stylesheet=RST \
  --graphicx-option=pdftex --font-encoding=T1 --use-verbatim-when-possible \
  ${DOCSBASENAME}.txt ${DOCSBASENAME}.tex

pdflatex -src-specials -file-line-error-style ${DOCSBASENAME}.tex
while grep 'Rerun to get' ${DOCSBASENAME}.log > /dev/null
do
    pdflatex -src-specials -file-line-error-style ${DOCSBASENAME}.tex
done
pdflatex -src-specials -file-line-error-style ${DOCSBASENAME}.tex

rm -vf ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
  ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
  ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out

pdftops -level2 -paper A4 -expand ${DOCSBASENAME}.pdf

rst2html --language=en --report=5 --toc-entry-backlinks \
  --footnote-backlinks --section-numbering --strip-comments \
  ${DOCSBASENAME}.txt ${DOCSBASENAME}.html



